<%@ Page Language="VB" ContentType="text/html" ResponseEncoding="utf-8" validateRequest="false" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="System.IO" %>
<%
'Set Response ContentType to "text/xml" or AJAX Request will fail to return responseXML value
Response.ContentType = "text/xml"
'Read SOAP Data sent by my SOAPClient JavaScript
Dim xmlInput = Request.BinaryRead(Request.TotalBytes)
Dim memStr as new MemoryStream(CType(xmlInput, Byte()))
Dim inputReader as new StreamReader(memStr)
Dim data = inputReader.ReadToEnd()
inputReader.Close()

'Read SOAPAction sent by my SOAPClient JavaScript
Dim soapAction as String = Request.ServerVariables("HTTP_SOAPAction") 'i.e. "http://www.webserviceX.NET/GetInfoByZIP"
'Read SOAPServer URL sent by my SOAPClient JavaScript
Dim soapServer as String = Request.ServerVariables("HTTP_SOAPServer") 'i.e. "http://www.webservicex.net/uszip.asmx"

'Create System.Net.WebRequest to make a request to a remote server
Dim objRequest As WebRequest = WebRequest.Create(soapServer)

'Set Header
objRequest.Method = "POST"
objRequest.ContentLength = data.Length
objRequest.ContentType = "text/xml"
objRequest.Headers.Add("SOAPAction", soapAction)

Try
Dim streamRequest As StreamWriter = New StreamWriter(objRequest.GetRequestStream())

'Write SOAP data to the request stream.
streamRequest.Write(data)
streamRequest.Close()

'Get Response Stream
Dim streamResponse As Stream = objRequest.GetResponse().GetResponseStream()
Dim streamRead As New StreamReader(streamResponse)

'Read response into a variable
Dim out = streamRead.ReadToEnd()

'Close the Stream Object.
streamResponse.Close()
streamRead.Close()

'Write response out
Response.Write(out)
Catch e As Exception
End Try
%>